# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "beamterm-atlas"
version = "0.18.0"
authors = ["Adrian Papari <junkdog@angelhill.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Font atlas generator for beamterm WebGL terminal renderer, creating GPU-optimized texture arrays from TTF/OTF fonts"
homepage = "https://github.com/junkdog/beamterm"
documentation = "https://docs.rs/beamterm"
readme = "README.md"
keywords = [
    "terminal",
    "webgl",
    "wasm",
    "rendering",
    "gpu",
]
categories = [
    "graphics",
    "wasm",
    "web-programming",
]
license = "MIT"
repository = "https://github.com/junkdog/beamterm"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
default-target = "x86_64-unknown-linux-gnu"

[package.metadata.cargo-machete]
ignored = ["color-eyre"]

[lib]
name = "beamterm_atlas"
path = "src/lib.rs"

[[bin]]
name = "beamterm-atlas"
path = "src/main.rs"

[dependencies.beamterm-data]
version = "0.18.0"

[dependencies.beamterm-rasterizer]
version = "0.18.0"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.color-eyre]
version = "0.6.5"

[dependencies.compact_str]
version = "0.9.0"

[dependencies.directories]
version = "6.0.0"

[dependencies.png]
version = "0.18.1"

[dependencies.tracing]
version = "0.1.44"

[dependencies.tracing-appender]
version = "0.2.4"

[dependencies.tracing-subscriber]
version = "0.3.22"
features = [
    "env-filter",
    "json",
]

[dependencies.unicode-segmentation]
version = "1.12.0"

[dependencies.unicode-width]
version = "0.2"
features = ["core"]

[lints.clippy]
cloned_instead_of_copied = "warn"
flat_map_option = "warn"
implicit_clone = "warn"
inefficient_to_string = "warn"
large_enum_variant = "warn"
manual_string_new = "warn"
needless_collect = "warn"
needless_return = "warn"
redundant_closure_for_method_calls = "warn"
type_complexity = "warn"
uninlined_format_args = "warn"

[lints.rust]
dead_code = "warn"
unused_imports = "deny"
unused_variables = "deny"
